{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block scripts %}
    <script>
        function deleteRoom(url) {
            jQuery('#delete_room').attr('href', url);
            jQuery('#delete_room_modal').modal('toggle');
        }
    </script>
{% endblock %}

{% block content %}
    <section class="content">
        <div class="container-fluid">
            <div class="row mb-1">
                <div class="col-12 card">
                    <div class="card-body">
                        {% crispy filter.form filter.form.helper %}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title" id="table_desc">{% trans "Rooms Overview" %}<span
                                    class="badge badge-pill badge-primary ml-1">{{ filter.qs.count }}</span></h3>
                            <div class="card-tools">
                                <a class="btn btn-sm btn-default float-right" href="{% url 'room_create' %}"><em
                                        class="fas fa-plus"></em></a>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body table-responsive p-0">
                            <table aria-describedby="table_desc" class="table table-hover table-sm">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">{% trans "Name" %}</th>
                                    <th scope="col">{% trans "Server" %}</th>
                                    <th scope="col">{% trans "Tenant" %}</th>
                                    <th scope="col">{% trans "Config" %}</th>
                                    <th scope="col">{% trans "Public" %}</th>
                                    <th scope="col">{% trans "Breakout" %}</th>
                                    <th scope="col">{% trans "Participants" %}</th>
                                    <th scope="col">{% trans "Videostreams" %}</th>
                                    <th scope="col">{% trans "Max. participants" %}</th>
                                    <th scope="col">{% trans "RTMP Streaming URL" %}</th>
                                    <th scope="col">{% trans "Last running" %}</th>
                                    <th scope="col">{% trans "Clicks" %}</th>
                                    <th scope="col">{% trans "Comment (internal)" %}</th>
                                    <th scope="col" class="text-right">{% trans "Action" %}</th>
                                </tr>
                                </thead>
                                <tbody>
                                <!-- empty table row to fix data table tooltip bug with only one entry -->
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                {% for room in filter.qs %}
                                    <tr>
                                        <td>{{ room.name }}</td>
                                        <td>{{ room.server|default_if_none:"-" }}</td>
                                        <td>{{ room.tenant|default_if_none:"-" }}</td>
                                        <td>{{ room.config|default_if_none:"no config" }}</td>
                                        <td class="text-center">
                                            {% include "template_boolean_tables.html" with condition=room.is_public %}
                                        </td>
                                        <td class="text-center">
                                            {% include "template_boolean_tables.html" with condition=room.is_breakout %}
                                        </td>
                                        <td>{{ room.participant_count }}</td>
                                        <td>{{ room.videostream_count }}</td>
                                        <td>{{ room.maxParticipants|default_if_none:"∞" }}</td>
                                        <td>{% if room.streamingUrl %}Y{% else %}N{% endif %}</td>
                                        <td>{{ room.last_running|timesince }}</td>

                                        <td>{{ room.click_counter }}</td>
                                        <td>{{ room.comment_private|default_if_none:"" }}</td>
                                        <td>
                                            <div class="btn-group btn-group-sm float-right">
                                                <a class="btn btn-success"
                                                   href="{% url 'room_update' room.pk %}"
                                                   data-toggle="tooltip" data-placement="top"
                                                   title="{% trans "Edit" %}">
                                                    <em class="fas fa-pen"></em>
                                                </a>
                                                <button class="btn btn-danger"
                                                        onclick="deleteRoom('{% url "room_delete" room.pk %}')"
                                                        data-toggle="tooltip" data-placement="top"
                                                        title="{% trans "Delete" %}">
                                                    <em class="fas fa-trash-alt"></em>
                                                </button>
                                                {% if room.meeting_id %}
                                                    {% if room.config %}
                                                        <a class="btn btn-primary"
                                                           href="{% url 'join_or_create_meeting' room.meeting_id %}"
                                                           data-toggle="tooltip" data-placement="top"
                                                           title="{% trans "Start meeting" %}">
                                                            <em class="fas fa-play"></em>
                                                        </a>
                                                    {% endif %}
                                                    {% if room.server %}
                                                        <a class="btn btn-danger"
                                                           href="{% url 'force_end_meeting' room.pk %}"
                                                           data-toggle="tooltip" data-placement="top"
                                                           title="{% trans "Stop meeting" %}">
                                                            <em class="fas fa-stop"></em>
                                                        </a>
                                                    {% endif %}
                                                {% endif %}
                                            </div>

                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div id="delete_room_modal" class="modal fade" tabindex="-1" role="dialog"
         aria-labelledby="CenterModalLabel"
         aria-hidden="true" style="display: none;">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="CenterModalLabel">{% trans "Delete room" %}</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                </div>
                <div class="modal-body">
                    {% trans "Are you sure you want to delete the room?" %}
                </div>
                <div class="modal-footer">
                    <a class="btn btn-danger" href=""
                       data-toggle="tooltip" data-placement="top" title="Löschen" id="delete_room">
                        {% trans "Delete" %}
                    </a>
                    <button type="button" class="btn btn-secondary waves-effect"
                            data-dismiss="modal">{% trans "Cancel" %}</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
{% endblock %}
